API Explanation

Request Type

POST

Request URI

/api/v1/pay/alipay/wap-pay

Request

ParameterTypeRequiredDescriptionRemark
amountStringYesTransaction Amountcent is the unit, “100” means a dollar
callbackURLStringYesCallback URLAfter the payment is completed, the system sends a notification to this URL (Maximum length 255 English characters)
returnURLStringYesReturn URLAfter the payment is completed, will navigate to this URL (Maximum length 255 English characters)
remarkStringNoRemarkMaximum length 128 English characters

Request Example:

{
  "amount": "1000",
  "callbackURL": "https://your.callback.url",
  "returnURL": "https://your.return.url",
  "remark": ""
}

Response

ParameterTypeDescriptionRemark
payInfoStringPayment navigation linkUse for front-end to complete the payment
merchantIdStringMerchant ID
paymentIdStringPayment ID
amountStringTransaction Amount

Response Example:

{
  "status": "SUCCESS",
  "result": {
    "payInfo": "https://intlmapi.alipay.com/gateway.do?_input_charset=UTF-8&app_pay=Y&currency=CAD&notify_url=https%3A%2F%2Fuat-scanpay.ottpay.com%2Fonline%2Fnotify%2F&out_trade_no=AL4617197768383550&partner=2088721517311327&product_code=NEW_WAP_OVERSEAS_SELLER&return_url=https%3A%2F%2Fyour.return.url&secondary_merchant_id=ON00000097&secondary_merchant_industry=5331&secondary_merchant_name=THE+TFS+FOUNDATION+%28title+for+OTT+test%29&service=create_forex_trade_wap&subject=%28OTTITTT+Test%29THE+TFS+FOUNDATION&total_fee=0.01&sign_type=RSA&sign=QHEImSLHPvqyFb64l8nS0kA6zj%2BPye5Dazed9b8Hy2jWjMbwUpexVb21GKInNsReTigeqUyy6tGQBSZE0Y%2BI4cYbp8ajrSgcsy4STSVeYgI6FSsppp%2FCvL4AWHrrqqesQvwcGslbkDoq7eOXbCfHK%2Fn%2FifLFaXZQts2OXQ0gMwUU8dOgGJWMHAikn2BY9TSqzwXPJ2figz9WEEpRlUpyNm%2BMQYxK5Y0OftVBMHR%2FU%2FhEAhuEJpsBBO3%2BJKpWixRgW2bm1UMdbENdyY48j1qYU2LSMGCTP18r2%2FUCgLzZbPKCmkpKnYRPK7DJTA%2FOQ4Veqr0Ub4WYehX%2BanmqwPZWCg%3D%3D",
    "merchantId": "ON00000097",
    "paymentId": "DEMOORDERID0000013",
    "amount": null
  }
}

Payment Result

After the OTT Pay API server obtains the payment result from the payment channel, it will immediately send the payment result to the specified callbackURL. Of course, the merchant system can also actively query through Payment Status Query API.